/*
   Scan.h

   Header file for the two main methods of Scan.C
   ( the 2 main methods you, the happy student, gets to implement in
     fact. )
*/


#ifndef _SC_SCAN_
#define _SC_SCAN_

// inventor includes
#include <Inventor/SbBasic.h>
#include <Inventor/SbColor.h>
#include <Inventor/SbLinear.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoEnvironment.h>
#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoNormal.h>

// local includes
#include "SCtypes.h"
#include "Polygon.h"


// see Scan.C for specification
void RenderScene (Environment *env,
	          void setPixel(int x, int y, Color color, Environment *env));

// see Scan.C for specification
void RenderScanLine (int line, Environment *env, EdgeRecList *AEL,
	     void setPixel(int x, int y, Color color, Environment *env));


#endif /* !_SC_SCAN_ */





